package ru.cloudtips.sdk_demo

import android.app.Application
import androidx.multidex.MultiDexApplication
import ru.cloudtips.sdk.network.NetworkClient

internal val networkClient: NetworkClient by lazy {
    App.mNetworkClient!!
}

internal val appContext: Application by lazy {
    App.mAppContext!!
}

class App : MultiDexApplication() {
    override fun onCreate() {
        super.onCreate()
        mAppContext = this
        mNetworkClient = NetworkClient()
    }

    companion object {
        internal var mAppContext: Application? = null
        internal var mNetworkClient: NetworkClient? = null
    }
}