package ru.cloudtips.sdk

import android.os.Parcelable
import kotlinx.parcelize.Parcelize

@Parcelize
class Config(
    private val layoutId: String,
    private val invoiceId: String?,
    private val sum: Double?,
    private val amount: Double?
) : Parcelable {

    fun getLayoutId() = layoutId
    fun getInvoiceId() = invoiceId
    fun getSum() = sum
    fun getAmount() = amount

    class Builder(private val layoutId: String) {
        private var invoiceId: String? = null
        private var sum: Double? = null
        private var amount: Double? = null

        fun setInvoiceId(value: String) {
            this.invoiceId = value
        }

        fun setSum(value: Double) {
            this.sum = value
        }

        fun setAmount(value: Double) {
            this.amount = value
        }

        fun build(): Config {
            return Config(layoutId, invoiceId, sum, amount)
        }
    }
}